Subject: [Netconf] soap or ssh

From: Savitri Negi <[email-masked]>
Date: Mon, 22 Dec 2008 01:01:21 -0800 (PST)

hi

I am working to find out a NMS solution for some networking nodes.that work in adhoc environemnt .Iam quite new to Netconf..
I came across the Netconf and after reading its documents in the initial documents i saw that netconf over SOAP  was preffered one but later on i read somewhere in some IEEE paper that SSH is mandatory for netconf ,so iam a bit confused now .which one to go for thats over SOAP or over SSH?
I hope someone could help me with that 

Savitri Negi

Scientist C
 Communication Networks Division
DEAL Dehradun    

      Be the first one to try the new Messenger 9 Beta! Go to http://in.messenger.yahoo.com/win/

hi

I am working to find out a NMS solution for some networking nodes.that work in adhoc environemnt .Iam quite new to Netconf..
I came across the Netconf and after reading its documents in the initial documents i saw that netconf over SOAP  was preffered one but later on i read somewhere in some IEEE paper that SSH is mandatory for netconf ,so iam a bit confused now .which one to go for thats over SOAP or over SSH?
I hope someone could help me with that 

Savitri Negi

Scientist C
 Communication Networks Division
DEAL Dehradun    

      Be the first one to try the new Messenger 9 Beta! Go to http://in.messenger.yahoo.com/win/

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 22 Dec 2008 10:35:24 +0100

Hi Savitri,
 
The IEEE paper was correct, and actually RFC 4741 is clear in stating in
Section 2.4 that SSH is the mandatory transport mapping for NETCONF. 
 
I am curious - from what document you reached the conclusion that 'SOAP
was preferred'? 
 
I hope this helps. 
 
Thanks and Regards,
 
Dan

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Savitri Negi
	Sent: Monday, December 22, 2008 11:01 AM
	To: [email-masked]
	Subject: [Netconf] soap or ssh

hi

I am working to find out a NMS solution for some networking nodes.that
work in adhoc environemnt .Iam quite new to Netconf..
I came across the Netconf and after reading its documents in the initial
documents i saw that netconf over SOAP  was preffered one but later on i
read somewhere in some IEEE paper that SSH is mandatory for netconf ,so
iam a bit confused now .which one to go for thats over SOAP or over SSH?
I hope someone could help me with that 

Savitri Negi

Scientist C

________________________________

	From Chandigarh to Chennai - find friends all over India. Click
here.
<http://in.rd.yahoo.com/tagline_groups_10/*http://in.promos.yahoo.com/gr
oups/citygroups/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 22 Dec 2008 10:35:24 +0100

Hi Savitri,

 
I hope this helps. 
 
Thanks and Regards,
 
Dan

hi

Savitri Negi

Scientist C

---

From: Savitri Negi <[email-masked]>
Date: Tue, 23 Dec 2008 20:44:33 -0800 (PST)

hi actually iam a bit confusd over this yet 
,RFC 5381 says that SOAP is used as transport protocol for netconf ,and even in RFC 4743 SOAP is one of the transport protocls for NEtconf ,though SSH is said to be a mandatory protocol  then i dont understand why we have got three options thats SOAP BEEP and SSH ,
Does that mean i need to implement SOAP as well as SSH as transport ...
Actually in some papers i read that SOAP was preferrd because a lot of open source tools and web tools are available when we use SOAP 
But Iam still confused ..
i hope sumbody could possibly help me out ...

thanx ..
Savitri Negi

Scientist C

--- On Mon, 22/12/08, Romascanu, Dan (Dan) <[email-masked]> wrote:
From: Romascanu, Dan (Dan) <[email-masked]>
Subject: RE: [Netconf] soap or ssh
To: [email-masked], [email-masked]
Date: Monday, 22 December, 2008, 3:05 PM

Hi Savitri,

 
I hope this helps. 
 
Thanks and Regards,
 
Dan

  
  From: [email-masked] 
  [mailto:[email-masked]] On Behalf Of Savitri 
  Negi
Sent: Monday, December 22, 2008 11:01 AM
To: 
  [email-masked]
Subject: [Netconf] soap or ssh

    
      hi

I am working to find out a NMS solution for 
        some networking nodes.that work in adhoc environemnt .Iam quite new to 
        Netconf..
I came across the Netconf and after reading its documents 
        in the initial documents i saw that netconf over SOAP  was 
        preffered one but later on i read somewhere in some IEEE paper that SSH 
        is mandatory for netconf ,so iam a bit confused now .which one to go for 
        thats over SOAP or over SSH?
I hope someone could help me with that 

Savitri Negi

Scientist C
DEAL 
        Dehradun

      Bollywood news, movie reviews, film trailers and more! Go to http://in.movies.yahoo.com/

---

From: Savitri Negi <[email-masked]>
Date: Tue, 23 Dec 2008 20:44:33 -0800 (PST)

thanx ..
Savitri Negi

Scientist C

 
Hi Savitri,

 
I hope this helps. 
 
Thanks and Regards,
 
Dan

  

    
      hi

        

Savitri Negi

Scientist C

---

From: Tomoyuki Iijima <[email-masked]>
Date: Wed, 24 Dec 2008 14:58:07 +0900

SGkgU2F2aXRyaSwKCiA+IEFjdHVhbGx5IGluIHNvbWUgcGFwZXJzIGkgcmVhZCB0aGF0IFNPQVAgd2FzIHByZWZlcnJkIGJlY2F1c2UgYSBsb3Qgb2YKCk9uZSBvZiB0aGUgcGFwZXJzIG1pZ2h0IGJlIHRoZSBmb2xsb3dpbmcuIElzIHRoYXQgcmlnaHQ/CgpNLiBDaG9pLCBILiBDaG9pLCBKLiBXLiBIb25nLCBhbmQgSC4gSnUsIOKAnFhNTC1iYXNlZApjb25maWd1cmF0aW9uIG1hbmFnZW1lbnQgZm9yIElQIG5ldHdvcmsgZGV2aWNlc+KAnSwgSUVFRQpDb21tdW5pY2F0aW9ucyBNYWdhemluZSwgVm9sLjQyLCBOby43LCBwcC44NC05MSwgSnVseQoyMDA0LgoKUGVyc29uYWxseSwgSSBhbHNvIHRoaW5rIFNPQVAgaXMgcHJlZmVyYWJsZS4gQnV0LCBub3cgUkZDIDQ3NDEsIHdoaWNoIGlzIAppbmRlcGVuZGVudCBmcm9tIHRyYW5zcG9ydCBwcm90b2NvbCwgZGVzY3JpYmVzIHRoZSBmb2xsb3dpbmcuCgoyLjQuICBNYW5kYXRvcnkgVHJhbnNwb3J0IFByb3RvY29sCgogICAgQSBORVRDT05GIGltcGxlbWVudGF0aW9uIE1VU1Qgc3VwcG9ydCB0aGUgU1NIIHRyYW5zcG9ydCBwcm90b2NvbAogICAgbWFwcGluZFrom [email-masked]  Tue Dec 23 21:58:26 2008Return-Path: <[email-masked]>X-Original-To: [email-masked]: [email-masked]: from [127.0.0.1] (localhost [127.0.0.1])	by core3.amsl.com (Postfix) with ESMTP id B7F793A6A5B;	Tue, 23 Dec 2008 21:58:25 -0800 (PST)X-Original-To: [email-masked]: [email-masked]: from localhost (localhost [127.0.0.1])	by core3.amsl.com (Postfix) with ESMTP id 9D75C3A6A5B	for <[email-masked]>; Tue, 23 Dec 2008 21:58:22 -0800 (PST)X-Virus-Scanned: amavisd-new at amsl.comX-Spam-Flag: NOX-Spam-Score: 0.51X-Spam-Level: X-Spam-Status: No, score=0.51 tagged_above=-999 required=5	tests=[BAYES_00=-2.599, HELO_EQ_JP=1.244, HOST_EQ_JP=1.265,	J_CHICKENPOX_54=0.6]Received: from mail.ietf.org ([64.170.98.32])	by localhost (core3.amsl.com [127.0.0.1]) (amavisd-new, port 10024)	with ESMTP id 02L4BNFAYbeD for <[email-masked]>;	Tue, 23 Dec 2008 21:58:17 -0800 (PST)Received: from mail7.hitachi.co.jp (mail7.hitachi.co.jp [133.145.228.42])	by core3.amsl.com (Postfix) with ESMTP id 8EBF73A68B2	for <[email-masked]>; Tue, 23 Dec 2008 21:58:16 -0800 (PST)Received: from mlsv4.hitachi.co.jp (unknown [133.144.234.166])	by mail7.hitachi.co.jp (Postfix) with ESMTP id 2B02437AC2	for <[email-masked]>; Wed, 24 Dec 2008 14:58:07 +0900 (JST)Received: from MFILTER-S5.hitachi.co.jp by mlsv4.hitachi.co.jp (8.13.1/8.13.1)	id mBO5w75Q011390; Wed, 24 Dec 2008 14:58:07 +0900Received: from vshuts3.hitachi.co.jp (unverified) by MFILTER-S5.hitachi.co.jp	(Content Technologies SMTPRS 4.3.17) with ESMTP id	<[email-masked]>; 	Wed, 24 Dec 2008 14:58:06 +0900X-AuditID: 0ac90648-aa1aaba000001b6c-a3-4951cf6ead0aReceived: from gmml27.itg.hitachi.co.jp (unknown [158.213.165.130])	by vshuts3.hitachi.co.jp (Symantec Mail Security) with ESMTP id	ADC8540C001; Wed, 24 Dec 2008 14:58:06 +0900 (JST)Received: from [127.0.0.1] by gmml27.itg.hitachi.co.jp	(AIX5.2/8.11.6p2/8.11.0) id mBO5w655796070;	Wed, 24 Dec 2008 14:58:06 +0900Message-ID: <[email-masked]>Date: Wed, 24 Dec 2008 14:58:07 +0900From: Tomoyuki Iijima <[email-masked]>User-Agent: Thunderbird 2.0.0.0 (Windows/20070326)MIME-Version: 1.0To: [email-masked]: <[email-masked]>In-Reply-To: <[email-masked]>X-Brightmail-Tracker: AAAAAA==Cc: =?UTF-8?B?6buS5bSOIOiKs+ihjA==?= <[email-masked]>,	[email-masked]: Re: [Netconf] soap or sshX-BeenThere: [email-masked]: 2.1.9Precedence: listList-Id: Network Configuration WG mailing list <netconf.ietf.org>List-Unsubscribe: <https://www.ietf.org/mailman/listinfo/netconf>,	<mailto:[email-masked]?subject=unsubscribe>List-Archive: <https://www.ietf.org/mailman/private/netconf>List-Post: <mailto:[email-masked]>List-Help: <mailto:[email-masked]?subject=help>List-Subscribe: <https://www.ietf.org/mailman/listinfo/netconf>,	<mailto:[email-masked]?subject=subscribe>Content-Transfer-Encoding: base64Content-Type: text/plain; charset="utf-8"; Format="flowed"Sender: [email-masked]: [email-masked]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9fX19fX19fX19fX19fX19fX19fX19fX19fX19fX19fX19fX19fX19fCk5ldGNvbmYgbWFpbGluZyBsaXN0Ck5ldGNvbmZAaWV0Zi5vcmcKaHR0cHM6Ly93d3cuaWV0Zi5vcmcvbWFpbG1hbi9saXN0aW5mby9uZXRjb25mCg==

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 24 Dec 2008 08:07:51 +0100

On Tue, Dec 23, 2008 at 08:44:33PM -0800, Savitri Negi wrote:
 
> ,RFC 5381 says that SOAP is used as transport protocol for netconf
>  ,and even in RFC 4743 SOAP is one of the transport protocls for
> NEtconf ,though SSH is said to be a mandatory protocol?? then i dont
> understand why we have got three options thats SOAP BEEP and SSH ,

I think the IESG note on the front page of RFC 5381 is quite clear.

> Does that mean i need to implement SOAP as well as SSH as transport ...

You must implement SSH and you might optionally implement any other
transport.

> Actually in some papers i read that SOAP was preferrd because a lot
> of open source tools and web tools are available when we use SOAP

Perhaps preferred by the authors; if someone claims SOAP is the
preferred transport of the IETF, then the author is simply wrong.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 24 Dec 2008 08:07:51 +0100

/js

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 25 Dec 2008 18:33:27 +0100

From: Savitri Negi [mailto:[email-masked]] 
	Sent: Wednesday, December 24, 2008 6:45 AM
	To: [email-masked]; Romascanu, Dan (Dan)
	Subject: RE: [Netconf] soap or ssh

hi actually iam a bit confusd over this yet 
,RFC 5381 says that SOAP is used as transport protocol for netconf ,and
even in RFC 4743 SOAP is one of the transport protocls for NEtconf
,though SSH is said to be a mandatory protocol  then i dont understand
why we have got three options thats SOAP BEEP and SSH ,
Does that mean i need to implement SOAP as well as SSH as transport ...
[DR] SSH is mandatory transport, BEEP and SOAP are optional. A compliant
implementation MUST implement SSH, From [email-masked]  Thu Dec 25 09:33:42 2008
Content-class: urn:content-classes:message
Date: Thu, 25 Dec 2008 18:33:27 +0100
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>,
	<[email-masked]>
Subject: Re: [Netconf] soap or ssh
Sender: [email-masked]

This is a multi-part message in MIME format.

	From: Savitri Negi [mailto:[email-masked]] 
	Sent: Wednesday, December 24, 2008 6:45 AM
	To: [email-masked]; Romascanu, Dan (Dan)
	Subject: RE: [Netconf] soap or ssh

hi actually iam a bit confusd over this yet 
,RFC 5381 says that SOAP is used as transport protocol for netconf ,and
even in RFC 4743 SOAP is one of the transport protocls for NEtconf
,though SSH is said to be a mandatory protocol  then i dont understand
why we have got three options thats SOAP BEEP and SSH ,
Does that mean i need to implement SOAP as well as SSH as transport ...
[DR] SSH is mandatory transport, BEEP and SOAP are optional. A compliant
implementation MUST implementand MAY implement SOAP or BEEP. 
 
Actually in some papers i read that SOAP was preferrd because a lot of
open source tools and web tools are available when we use SOAP 
[DR] People may prefer other transports for different reasons, the IETF
requirements are being stated in the standards tracks IETF RFCs. Again,
Section 2.4 of RFC4741 is the reference that you must look at. 
 
Dan

thanx ..
Savitri Negi

Scientist C

	Hi Savitri,
	 
	The IEEE paper was correct, and actually RFC 4741 is clear in
stating in Section 2.4 that SSH is the mandatory transport mapping for
NETCONF. 
	 
	I am curious - from what document you reached the conclusion
that 'SOAP was preferred'? 
	 
	I hope this helps. 
	 
	Thanks and Regards,
	 
	Dan

		From: [email-masked]
[mailto:[email-masked]] On Behalf Of Savitri Negi
		Sent: Monday, December 22, 2008 11:01 AM
		To: [email-masked]
		Subject: [Netconf] soap or ssh

hi

Savitri Negi

Scientist C

		From Chandigarh to Chennai - find friends all over
India. Click here.
<http://in.rd.yahoo.com/tagline_groups_10/*http://in.promos.yahoo.com/gr
oups/citygroups/> 

	Add more friends to your messenger and enjoy! Invite them now.
<http://in.rd.yahoo.com/tagline_messenger_6/*http://messenger.yahoo.com/
invite/>